# $Id: UI_tty.pm 2868 2007-07-01 07:17:14Z verthezp $
# $URL: file:///var/lib/svn/intclock/tags/R2_13/lib/Intclock/UI_tty.pm $
#___________________________________________________________________
#
# User interface routines for intclock (tty interface)
#___________________________________________________________________

# Copyright (C) 2004-2007 by Peter Verthez

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# Written by Peter Verthez, <Peter.Verthez@advalvas.be>.
# Based on Jens-Ulrik Petersen's hsclock

package Intclock::UI_tty;

use strict;
use diagnostics;
use Intclock::TZ;
use Intclock::UI;

sub start {
  my ($optval) = @_;
  while (1) {
    my $t = time();
    Intclock::UI::debug($t);
    foreach my $zone (@{$optval->{"zones"}}) {
      my ($zonename) = @$zone;
      my $tz_a = Intclock::TZ::in_timezone($t, $zone);
      my $tz_t = Intclock::UI::date_time_string($tz_a);
      my $zonetext = Intclock::UI::timezone_label($zone, $tz_a);
      print "$tz_t ($zonetext)\n";
    }
    _do_sleep();
  }
}

sub _do_sleep {
  my $timer = Intclock::UI::get_timer_interval();
  select undef, undef, undef, $timer / 1000;
}

1;
